#include "16F84A.h"
#use delay(clock=4000000)
#fuses NOWDT,XT, NOPUT, NOPROTECT
#use rs232(baud=9600, xmit=PIN_A0, rcv=PIN_A1)
#include "ds1307.c"

void main(void)
{
	int8 sec,min,hour,day,date,month,year;

	delay_ms(50);
	init_ds1307();          // initial DS1307
	sec=read_ds1307(0);
	write_ds1307(0,sec & 0x7F); // enable oscillator(bit 7 =0)

	while(true)
	{
		sec=read_ds1307(0);   // read second
		min=read_ds1307(1);   // read minute
		hour=read_ds1307(2);  // read hour
		day=read_ds1307(3);   // read day
		date=read_ds1307(4);  // read date
		month=read_ds1307(5); // read month
		year=read_ds1307(6);  // read year
		putc(0x0c);
		printf("Time : %02X:%02X:%02X\r\n",hour,min,sec);
		printf("Day  : %02X\r\n",day);
		printf("Date : %02X/%02X/20%02X\r\n",date,month,year); 
		delay_ms(500);
	}
}
